# QtAccountsServiceConfig.cmake provides information about the installed QtAccountsService library.
# It can be used directly from CMake via find_package(QtAccountsService NO_MODULE)
#
# The following CMake variables are provided:
#   QtAccountsService_VERSION_MAJOR - the major version number of QtAccountsService
#   QtAccountsService_VERSION_MINOR - the minor version number of QtAccountsService
#   QtAccountsService_VERSION_PATCH - the patch version number of QtAccountsService
#   QtAccountsService_INCLUDE_DIRS  - the include directories to use
#   QtAccountsService_LIBRARIES     - the libraries to link against
#
# Additionally, the following imported library targets are created, which may be used directly
# with target_link_libraries():
#   QtAccountsService::qtaccountsservice-qt5 - the QtAccountsService library for Qt 5.x


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was QtAccountsServiceConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# Any changes in this ".cmake" file will be overwritten by CMake, the source is the ".cmake.in" file.

set(QtAccountsService_VERSION_MAJOR "0")
set(QtAccountsService_VERSION_MINOR "1")
set(QtAccountsService_VERSION_PATCH "2")

set(QtAccountsService_INSTALL_PREFIX "${PACKAGE_PREFIX_DIR}")
set_and_check(QtAccountsService_INCLUDE_DIR "${PACKAGE_PREFIX_DIR}/include")

if(NOT TARGET QtAccountsService)
  include("${CMAKE_CURRENT_LIST_DIR}/QtAccountsServiceTargets.cmake")
endif()

# "public" variables:

set(QtAccountsService_INCLUDE_DIRS ${QtAccountsService_INCLUDE_DIR} ${QtAccountsService_INCLUDE_DIR}/QtAccountsService)
set(QtAccountsService_LIBRARIES QtAccountsService::qtaccountsservice-qt5)
